Bug 1420757 - pcs cluster cib-push does not recognize "scope" option
Summary: pcs cluster cib-push does not recognize "scope" option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.3
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1419903
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 13:48 UTC by Jaroslav Reznik
Modified: 2017-03-02 17:31 UTC (History)
8 users (show)

Fixed In Version: pcs-0.9.152-10.el7_3.3
Doc Type: Bug Fix
Doc Text:
Previously, the pcs utility did not allow the "scope" configuration option to be used with the "pcs cib-push" command. As a consequence, using "pcs cib-push" with "scope" failed with an error, and the Cluster Information Base (CIB) was not updated. With this update, using "scope" with "pcs cib-push" no longer fails, and CIB is updated as expected.
Clone Of: 1419903
Environment:
Last Closed: 2017-03-02 17:31:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (1.58 KB, patch)
2017-02-14 08:44 UTC, Tomas Jelinek
no flags Details | Diff
additional fix (1017 bytes, patch)
2017-02-14 08:45 UTC, Tomas Jelinek
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0399 0 normal SHIPPED_LIVE pcs bug fix update 2017-03-02 22:07:49 UTC

Description Jaroslav Reznik 2017-02-09 13:48:02 UTC
This bug has been copied from bug #1419903 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 4 Ivan Devat 2017-02-10 11:51:03 UTC
After Fix

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-10.el7_3.2.x86_64

[vm-rhel72-1 ~] $ pcs cluster cib > cibfile.xml
[vm-rhel72-1 ~] $ pcs -f cibfile.xml resource create dummy ocf:heartbeat:Dummy
[vm-rhel72-1 ~] $ pcs cluster cib-push cibfile.xml scope=configuration
CIB updated

Comment 6 Tomas Jelinek 2017-02-14 08:44:23 UTC
Created attachment 1250145 [details]
proposed fix

Comment 7 Tomas Jelinek 2017-02-14 08:45:32 UTC
Created attachment 1250146 [details]
additional fix

provide a better error message when the diff of the old and the new CIB is empty

Comment 8 Ivan Devat 2017-02-14 13:00:56 UTC
> Better error message when the diff of the old and the new CIB is empty
After Fix

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-10.el7_3.3.x86_64

[vm-rhel72-1 ~] $ pcs cluster cib > original.xml
[vm-rhel72-1 ~] $ cp original.xml updated.xml
[vm-rhel72-1 ~] $ pcs cluster cib-push updated.xml diff-against=original.xml
Error: The new CIB is the same as the original CIB, nothing to push.

Comment 12 errata-xmlrpc 2017-03-02 17:31:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0399.html


Note You need to log in before you can comment on or make changes to this bug.